---
# tasks file for role_docker
- name: "Install requirements"
  ansible.builtin.apt:
    name: "{{ docker_packages_requirements }}"
    state: present
    update_cache: yes

- name: "Add Docker’s official GPG key"
  ansible.builtin.apt_key:
    url: https://download.docker.com/linux/debian/gpg
    state: present

- name: Add Docker Repository
  apt_repository:
    repo: deb https://download.docker.com/linux/debian {{ ansible_lsb.codename }} stable
    state: present

- name: "Install docker"
  ansible.builtin.apt:
    name: "{{ docker_packages }}"
    state: present
    update_cache: true

- name: "Create docker directory"
  ansible.builtin.file:
    path: /etc/docker
    state: directory
    mode: '0755'
    
- name: "Allow insecure registry"
  template:
    src: daemon.json.j2
    dest: "/etc/docker/daemon.json"
    mode: 0644
  when: docker_allow_insecure_registry | length>0

- name: "Add user to group"
  user:
    name: '{{ item }}'
    groups: docker
    append: true
  loop: "{{ docker_user_to_add }}"

- name: "Start and enable docker"
  ansible.builtin.service:
    name: "{{ docker_service }}"
    state: started
    enabled: true
  when: ansible_virtualization_role == "host"
